/*****************************(abc908-18325.c)***
 *      OLEDCu[eXg
 *************************************************/

#include "mcc_generated_files/mcc.h"
#include "myProject.h"

#define VBA

char  RBuf[BFSIZE];
uint8_t SFlg;

///---- test program ----
/*
void test_HanK(){
//    i2cOLED_HchrX(0,3,0x36);
//    i2cOLED_HstrX(0, 2, "ABC def ׶");
    i2cOLED_HstrX(0, 0, "0123456789 #$");
    i2cOLED_HstrX(0, 2, "ABCDEF,ghijklm");
}

void test_Kanj(){
//    i2cOLED_ZchrX(0,4,0x3121,2);
//    i2cOLED_ZchrX(0,4,'',0);
    i2cOLED_ZstrX(0,4,"f`W",1); 
}

void test_Ascii(){
    char c;
    i2cOLED_posPX(0,0);
    for(c = 0x30; c <= 0x39; c++){
        i2cOLED_chr(c);
    }   
    i2cOLED_posPX(2,0);
    for(c = 0x41; c <= 0x50; c++){
        i2cOLED_chr(c);
    }
    i2cOLED_posPX(3,0);
    for(c = 0x61; c <= 0x71; c++){
        i2cOLED_chr(c);
    }
}
*/
/***********************************************
        Main application
 ***********************************************/
void main(void)
{
    uint8_t cmd;
    
    SYSTEM_Initialize();

    INTERRUPT_GlobalInterruptEnable();
    INTERRUPT_PeripheralInterruptEnable();

    i2cOLED_init();
    
    puts("ready!\n"); 
    i2cOLED_Clr(0,7,0);
    i2cOLED_str("ready!");
    
    while (1)
    {
        if(SFlg){
            cmd = RBuf[0];
            #ifndef VBA
                puts("\r");
            #endif
            switch(cmd){
//                case 'C': i2cOLED_Clr(0,7,0); break;
                case 'W': i2cMem_cmd_W(RBuf);  break;
                case 'R': i2cMem_cmd_R(RBuf);  break;
                case 'Q': i2cMem_cmd_Q(RBuf);  break;
                case 'U': i2cMem_cmd_U(RBuf);  break;
                case 'S': i2cMem_cmd_W(RBuf);  break;
                case 'P': i2cMem_cmd_P(RBuf);  break;
                case 'K': i2cMem_cmd_K(RBuf);  break;
                case 'L': i2cMem_cmd_L(RBuf); break;
                                                // LȃR}hȂ
                default:  if(i2cMem_SqMode()){
                            i2cMem_cmd_WSQ(RBuf);
                          }                     // A[hȂ
                          break;                // V[PXs
            } 
            SFlg = 0;
        }
        IO_RA4_Toggle();
        __delay_ms(500);
    }
}
/***  End of File  ***/
